xpra icon
Bug tracker and wiki

Opened 4 years ago

Last modified 4 years ago

#1275 closed task

Debian Wheezy and Ubuntu Precise support in 1.0 — at Version 1

Reported by: Antoine Martin Owned by: Antoine Martin
Priority: major Milestone: 1.0
Component: platforms Version: trunk
Keywords: deb wheezy precise Cc:

Description (last modified by Antoine Martin)

Thanks to the private ffmpeg libraries (#1256), we can support some really old Debian distros with only minor fixes:

It is usable, and better than being stuck with the 0.14.x branch.

Remaining issues:

  • pyopengl version is too old.. (restore compatibility for v3.0.x?)
  • sound crashes, similar to #1267
  • default installs may not have pulseaudio running: so #1274 would help
  • warning g_boxed_type_register_static: assertion `g_type_from_name (name) == 0' failed - nothing we can do about this, also happens on centos, this is due to a bug in this version of pygobject
  • ideally, add python-lz4 to precise

Change History (1)

comment:1 Changed 4 years ago by Antoine Martin

Description: modified (diff)
Status: newassigned
Note: See TracTickets for help on using tickets.